Name:           perl-Text-Unidecode
Version:        1.30
Release:        8
Summary:        Text-Unidecode -- plain ASCII transliterations of Unicode text
License:        GPL+ and Artistic
URL:            https://metacpan.org/release/Text-Unidecode
Source0:        https://cpan.metacpan.org/modules/by-module/Text/Text-Unidecode-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(integer) perl(strict) perl(utf8) perl(vars) perl(warnings) perl(Test) perl(Text::Wrap)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
It often happens that you have non-Roman text data in Unicode, but you can't
display it-- usually because you're trying to show it to a user via an application
that doesn't support Unicode, or because the fonts you need aren't accessible. You
could represent the Unicode characters as "???????" or "\15BA\15A0\1610...", but
that's nearly useless to the user who actually wants to read what the text says.
What Text::Unidecode provides is a function, unidecode(...) that takes Unicode data
and tries to represent it in US-ASCII characters (i.e., the universally displayable
characters between 0x00 and 0x7F). The representation is almost always an attempt at
transliteration-- i.e., conveying, in Roman letters, the pronunciation expressed
by the text in some other writing system. (See the example in the synopsis.)

%package        help
Summary:        This package contains help documents

%description    help
Files for help with perl-Text-Unidecode.

%prep
%autosetup -n Text-Unidecode-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README LICENSE
%{perl_vendorlib}/Text/

%files help
%doc TODO.txt ChangeLog
%{_mandir}/man3/*.3*

%changelog
* Wed Nov 27 2019 wangyiru <wangyiru1@huawei.com> - 1.30-8
- Package init
